pungi-rocky/scripts/updates-8-devel.sh

30 lines
869 B
Bash
Raw Normal View History

2021-06-26 02:39:34 +00:00
#!/bin/bash
2021-07-06 22:35:37 +00:00
source "$(dirname "$0")/common-8"
2021-06-26 02:39:34 +00:00
export PATH=/usr/sbin:/usr/bin:/root/bin
TARGET_DIR="/mnt/compose/8"
2022-05-20 05:56:48 +00:00
SHORT=devel
2023-03-12 06:30:07 +00:00
CONFIG=/etc/pungi-prod/rocky-devel.conf
2021-06-26 02:39:34 +00:00
# Unused for now
2023-03-12 06:30:07 +00:00
OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-Rocky-$SHORT-8/COMPOSE_ID)
2021-06-26 02:39:34 +00:00
SKIP="--skip-phase buildinstall --skip-phase createiso --skip-phase extra_isos --skip-phase productimg"
LABEL="--production --no-label"
CMD="pungi-koji --config=$CONFIG --old-composes=$TARGET_DIR $SKIP $LABEL"
#COMPOSE_ID="Rocky-8-20210625.n.0"
if [ -z "$COMPOSE_ID" ]; then
CMD="$CMD --target-dir=$TARGET_DIR"
else
CMD="$CMD --debug-mode --compose-dir=$TARGET_DIR/$COMPOSE_ID"
fi
time $CMD
2023-03-12 07:29:12 +00:00
if [ $? -eq 0 ]; then
pushd "${TARGET_DIR}/latest-Rocky-$SHORT-8/compose/$SHORT" || { echo "Could not switch."; exit 1; }
echo "Moving i386 to i686"
mv i386 i686
popd || { echo "Could not switch."; exit 1; }
fi